/* Scrutari - Copyright (c) 2008 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.admin;

import net.mapeadores.util.logging.CommandMessage;
import net.mapeadores.util.request.RequestMap;
import fr.exemole.sctserver.api.SctServer;


/**
 *
 * @author Vincent Calame
 */
public abstract class Command {

    protected SctServer sctServer;
    protected RequestMap requestMap;
    private CommandMessage commandMessage;

    protected Command(SctServer sctServer) {
        this.sctServer = sctServer;
    }

    public CommandMessage doCommand(RequestMap requestMap) {
        this.requestMap = requestMap;
        doCommand();
        return commandMessage;
    }

    protected void setDone(String doneMessageKey, Object messageValue) {
        commandMessage = CommandMessage.done(doneMessageKey, messageValue);
    }

    protected void setError(String errorMessageKey, Object messageValue) {
        commandMessage = CommandMessage.error(errorMessageKey, messageValue);
    }

    protected abstract void doCommand();

    public static Command getCommandInstance(String commandName, SctServer sctServer) {
        if (commandName.equals(RestartCommand.COMMANDNAME)) {
            return new RestartCommand(sctServer);
        } else if (commandName.equals(ConfUpdateCommand.COMMANDNAME)) {
            return new ConfUpdateCommand(sctServer);
        } else {
            return null;
        }
    }

}
