/* Scrutari - Copyright (c) 2012-2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.admin.htmlpages.utils;

import fr.exemole.sctserver.servlets.admin.htmlpages.AdminHtmlPage;
import net.mapeadores.util.attr.AttributeDef;
import net.mapeadores.util.attr.AttributeDefList;
import net.mapeadores.util.text.Label;
import net.mapeadores.util.text.LabelHolder;


/**
 *
 * @author Vincent Calame
 */
public class AttributesPrinter {

    private AttributesPrinter() {
    }

    public static void printAttributesList(AdminHtmlPage page, AttributeDefList attributeDefList) {
        int count = attributeDefList.getAttributeDefCount();
        page.startUl();
        for (int i = 0; i < count; i++) {
            printAttributeDefLi(page, attributeDefList.getAttributeDef(i));
        }
        page.endUl();
    }

    private static void printAttributeDefLi(AdminHtmlPage page, AttributeDef attributeDef) {
        page.startLi();
        page.startP();
        page.startCode();
        page.append("[");
        page.append(String.valueOf(attributeDef.getAttributeKey().toString()));
        page.append("]");
        page.endCode();
        page.append(" - ");
        LabelHolder labelHolder = attributeDef.getLabelHolder();
        int labelCount = labelHolder.getLabelCount();
        for (int i = 0; i < labelCount; i++) {
            if (i > 0) {
                page.append(" / ");
            }
            Label label = labelHolder.getLabelByIndex(i);
            page.escape(label.getLabelString());
        }
        page.endP();
        page.endLi();
    }

}
