/* Scrutari - Copyright (c) 2008-2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.explore.htmlpages;

import fr.exemole.sctserver.api.SctServer;
import java.io.IOException;
import javax.servlet.http.HttpServletResponse;
import net.mapeadores.util.html.PageHtmlPrinter;
import net.mapeadores.util.localisation.Lang;
import net.mapeadores.util.servlets.ResponseHandler;


/**
 *
 * @author Vincent Calame
 */
public abstract class ExploreHtmlPage extends PageHtmlPrinter implements ResponseHandler {

    protected SctServer sctServer;
    protected Lang langUi;

    public ExploreHtmlPage(SctServer sctServer) {
        this.sctServer = sctServer;
        this.langUi = sctServer.getDefaultLangUi();
    }

    @Override
    public long getLastModified() {
        return ResponseHandler.LASTMODIFIED_NOCACHE;
    }

    protected void initResponse(HttpServletResponse response) throws IOException {
        response.setContentType("text/html;charset=UTF-8");
        initPrinter(response.getWriter());
    }

    protected void start() {
        start(langUi);
    }

}
