/* Scrutari - Copyright (c) 2009-2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.global.htmlpages;

import fr.exemole.sctserver.servlets.ScrutariContext;
import java.io.IOException;
import javax.servlet.http.HttpServletResponse;
import net.mapeadores.util.html.HA;
import net.mapeadores.util.html.HTMLAttributes;
import net.mapeadores.util.html.PageHtmlPrinter;
import net.mapeadores.util.localisation.Lang;
import net.mapeadores.util.servlets.ResponseHandler;


/**
 *
 * @author Vincent Calame
 */
public abstract class GlobalHtmlPage extends PageHtmlPrinter implements ResponseHandler {

    protected ScrutariContext scrutariContext;
    protected Lang langUi;

    public GlobalHtmlPage() {
    }

    protected void init(ScrutariContext scrutariContext, Lang langUi) {
        this.scrutariContext = scrutariContext;
        this.langUi = langUi;
        addMessageLocalisation(scrutariContext.getGlobalMessageLocalisationFactory().newInstance(langUi));
    }

    @Override
    public long getLastModified() {
        return ResponseHandler.LASTMODIFIED_NOCACHE;
    }

    protected void initResponse(HttpServletResponse response) throws IOException {
        response.setContentType("text/html;charset=UTF-8");
        initPrinter(response.getWriter());

    }

    public void start() {
        setIconPng("icon.png");
        addCssUrl("global.css");
        setTitle("Scrutari");
        start(langUi);
        HTMLAttributes divAttr = HA.id("");
        startDiv(divAttr.id("mainDiv"));
        startDiv(divAttr.id("logoArea"));
        appendImg(HA.src("logo.png"));
        endDiv();
        startDiv(divAttr.id("bodyArea"));
    }

    @Override
    public void end() {
        endDiv();
        endDiv();
        super.end();
    }

}
