/* ScrutariLib_SearchEngine - Copyright (c) 2008-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.searchengine.api.result;


/**
 *
 * @author Vincent Calame
 */
public interface FicheSearchResultInfo {

    /**
     * Retourne le code de la fiche.
     */
    public int getCode();

    /**
     * Retourne le nombre de mot-clé qui ont servi à sélectionner la fiche.
     */
    public int getMotcleCount();

    /**
     * Retourne le code du i-ième mot-clé.
     */
    public int getMotcleCode(int i);

    /**
     * Retourne le nombre d'instance de InAlineaOccurrenceList
     */
    public int getInAlineaOccurrenceListCount();

    /**
     * Retourne la i-ème instance de InAlineaOccurrenceList
     */
    public InAlineaOccurrenceList getInAlineaOccurrenceList(int i);

    /**
     * Retourne la liste des occurences de recherche dans l'alinéa de la fiche
     * indiquée par <em>alineaInteger</em>. Retourne <em>null</em> s'il n'y a
     * pas de mot pour ce champ-là.
     */
    public InAlineaOccurrenceList getInAlineaOccurrenceListByAlinea(int alineaInteger);

    /**
     * Tableau de trois valeurs comprises entre 0 et 1 000: le score pour les occurences, le score pour les dates, le score pour l'origine.
     */
    public int[] getScoreArray();

}
