/* SctServer_API - Copyright (c) 2005-2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.api;

import fr.exemole.sctserver.api.storage.SctServerStorage;
import net.mapeadores.util.localisation.Lang;


/**
 *
 * @author Vincent Calame
 */
public interface SctServer {

    public final static short INIT_TYPE = 1;
    public final static short FORCE_TYPE = 2;
    public final static short CRON_TYPE = 3;
    public final static short UPDATECONF_TYPE = 4;

    public String getName();

    public boolean reload(short type);

    public ScrutariSession getScrutariSession();

    public ScrutariSourceManager getScrutariSourceManager();

    public L10nManager getL10nManager();

    public SctServerStorage getSctServerStorage();

    public ConfState getConfState();

    public Lang getDefaultLangUi();

}
