/* SctServer - Copyright (c) 2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.impl;

import fr.exemole.sctserver.api.L10nManager;
import fr.exemole.sctserver.tools.SctMessageLocalisationFactory;
import net.mapeadores.util.localisation.Lang;
import net.mapeadores.util.localisation.LangPreference;
import net.mapeadores.util.localisation.MessageLocalisation;


/**
 *
 * @author Vincent Calame
 */
class L10nManagerImpl implements L10nManager {

    private SctMessageLocalisationFactory messageLocalisationFactory;

    L10nManagerImpl() {
        innerUpdateMessageLocalisationFactory();
    }

    @Override
    public MessageLocalisation getMessageLocalisation(LangPreference langPreference) {
        return messageLocalisationFactory.newInstance(langPreference);
    }

    @Override
    public MessageLocalisation getMessageLocalisation(Lang lang) {
        return messageLocalisationFactory.newInstance(lang);
    }

    @Override
    public void updateMessageLocalisationFactory() {
        innerUpdateMessageLocalisationFactory();
    }

    private void innerUpdateMessageLocalisationFactory() {
        this.messageLocalisationFactory = SctMessageLocalisationFactory.build();
    }
}
