/* SctServer - Copyright (c) 2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.request;

import net.mapeadores.util.text.StringUtils;


/**
 *
 * @author Vincent Calame
 */
public class DataFilter {

    private boolean withBase = false;
    private boolean withCorpus = false;
    private boolean withThesaurus = false;
    private boolean withStats = false;
    private boolean withLang = false;
    private boolean withCategory = false;
    private boolean withAttributes = false;

    public DataFilter() {

    }

    public boolean isWithBase() {
        return withBase;
    }

    public void setWithBase(boolean withBase) {
        this.withBase = withBase;
    }

    public boolean isWithCorpus() {
        return withCorpus;
    }

    public void setWithCorpus(boolean withCorpus) {
        this.withCorpus = withCorpus;
    }

    public boolean isWithThesaurus() {
        return withThesaurus;
    }

    public void setWithThesaurus(boolean withThesaurus) {
        this.withThesaurus = withThesaurus;
    }

    public boolean isWithStats() {
        return withStats;
    }

    public void setWithStats(boolean withStats) {
        this.withStats = withStats;
    }

    public boolean isWithLang() {
        return withLang;
    }

    public void setWithLang(boolean withLang) {
        this.withLang = withLang;
    }

    public void buildFromString(String s) {
        String[] tokens = StringUtils.getTechnicalTokens(s, true);
        int count = tokens.length;
        for (int i = 0; i < count; i++) {
            String token = tokens[i];
            if (token.equals("base")) {
                setWithBase(true);
            } else if (token.equals("corpus")) {
                setWithCorpus(true);
            } else if (token.equals("thesaurus")) {
                setWithThesaurus(true);
            } else if (token.equals("stats")) {
                setWithStats(true);
            } else if (token.equals("lang")) {
                setWithLang(true);
            } else if (token.equals("category")) {
                setWithCategory(true);
            } else if (token.equals("attributes")) {
                setWithAttributes(true);
            } else if (token.equals(Parameters.ALL)) {
                setWithBase(true);
                setWithCorpus(true);
                setWithThesaurus(true);
                setWithStats(true);
                setWithLang(true);
                setWithCategory(true);
                setWithAttributes(true);
            }
        }
    }

    public boolean isWithCategory() {
        return withCategory;
    }

    public void setWithCategory(boolean withCategory) {
        this.withCategory = withCategory;
    }

    public boolean isWithAttributes() {
        return withAttributes;
    }

    public void setWithAttributes(boolean withAttributes) {
        this.withAttributes = withAttributes;
    }

}
