/* SctServer - Copyright (c) 2012-2016 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.tools;

import fr.exemole.sctserver.api.log.SctLogConstants;
import net.mapeadores.util.localisation.LocalisationUtils;
import net.mapeadores.util.logging.LogUtils;
import net.mapeadores.util.logging.MessageHandler;
import org.xml.sax.SAXException;


/**
 *
 * @author Vincent Calame
 */
public final class ErrorUtils {

    private ErrorUtils() {
    }

    public static void saxException(MessageHandler handler, SAXException saxe) {
        xml(handler, "_ error.exception.xml.sax", saxe.getMessage());
    }

    public static void unknownTagWarning(MessageHandler handler, String tagName) {
        warning(handler, "_ error.unknown.xml.tag", tagName);
    }

    public static void emptyAttributeError(MessageHandler handler, String xpath, String attributeName) {
        severe(handler, "_ error.empty.xml.attribute", LogUtils.toValue(xpath, attributeName));
    }

    public static void emptyElementError(MessageHandler handler, String xpath) {
        severe(handler, "_ error.empty.xml.tag", xpath);
    }

    public static void moreErrors(MessageHandler handler, int number) {
        handler.addMessage("MORE", LocalisationUtils.toMessage("_ error.list.moreerrors", number));
    }

    public static void warning(MessageHandler handler, String messageKey, Object messageValue) {
        handler.addMessage(SctLogConstants.WARNING_CATEGORY, LocalisationUtils.toMessage(messageKey, messageValue));
    }

    public static void severe(MessageHandler handler, String messageKey, Object messageValue) {
        handler.addMessage(SctLogConstants.SEVERE_CATEGORY, LocalisationUtils.toMessage(messageKey, messageValue));
    }

    public static void xml(MessageHandler handler, String messageKey, Object messageValue) {
        handler.addMessage(SctLogConstants.MALFORMED_XML_CATEGORY, LocalisationUtils.toMessage(messageKey, messageValue));
    }

}
